import {httpGet,httpPost} from "@/utils/request.js"


/**
 * 微信登录
 * @param code 微信code 
 */
export const apiWechatLogin=params=>{
	return httpGet('/wechat/login',params)
}

/**
 * 获取用户tabbar权限
 */
export const apiUserTabBar=()=>{
	return httpGet('/user/get_tab_bar',{})
}

/**
 * 获取个人信息
 */
export const apiUserInfo=()=>{
	return httpGet('/user/info',{})
}

/**
 * 手机号/邮箱登录
 * @param area_num 手机号区号
 * @param bind_type 1手机号 2邮箱
 * @param email
 * @param mobile
 * @param verify_code
 */
export const apiUserLogin=params=>{
	return httpPost('/user/login',params)
}

/**
 * 用户权限申请
 * @param business_card_url 名片地址
 * @param company_name 公司名
 * @param permission 选择的权限
 * @param real_name 姓名
 */
export const apiApplyPermission=params=>{
	return httpPost('/user/apply',params)
}

/**
 * 获取用户最近一条申请单信息
 */
export const apiLastApplyRecord=()=>{
	return httpGet('/user/get_last_apply_record',{})
}